<?php
#
# Muestra la lista de revocacion de certificados (CRL).
# Ademas permite su descarga en diferentes formatos 
#
include '../core.php';

session_start();

cabecera (0);

echo "<h1>Lista de Revocaci&oacute;n de Certificados</h1>";

// Necesitamos obtener la fecha de expiracion de la CRL. Para ello parseamos
// la lista en formato de texto y nos quedamos con la linea "Next Update"
$txtCert = file ($dirVar['web'].$urlVar['crl']."crl.txt");

for($i = 0; $i < count($txtCert); $i++) {
   list($tmp, $monthDayHour, $minutes, $seconds, $year, $gmt) = split(":",trim($txtCert[$i]));
   if($tmp == "Next Update")
      $expirationDate = "$monthDayHour:$minutes:$seconds $year $gmt";
}

echo "<p><b>Descarga:</b> 
      <a href='".$urlVar['crl']."crl.pem'>PEM</a> -
      <a href='".$urlVar['crl']."crl.der'>DER</a> -
      <a href='".$urlVar['crl']."crl.txt'>ASCII</a></p> 

<p><b>Fecha de expiraci&oacute;n:</b> $expirationDate </p>
<p>En esta p&aacute;gina puede comprobar los certificados emitidos por " . $pkiris['name'] . " que han sido revocados</p>

<div id='tbox'>
  <h3 class='head_a2b1'>CRL de " . $pkiris['name'] . "</h3>
      <div id='tbox_data_a1'><pre>\n";
      
// Lee el fichero que contiene la lista de revocacion 
// y lo muestra por pantalla

readfile($dirVar['web'].$urlVar['crl']."crl.txt");

echo "</div>
</div>
</pre>\n";

pie ();

?>

